## org.apache.lucene.analysis.util
Class ElisionFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.util.ElisionFilterFactory

All Implemented Interfaces:
  MultiTermAwareComponent, ResourceLoaderAware

    public class ElisionFilterFactory

extends TokenFilterFactory
implements ResourceLoaderAware, MultiTermAwareComponent

Factory for `ElisionFilter`.

     <fieldType name="text_elsn" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.StandardTokenizerFactory"/>
         <filter class="solr.LowerCaseFilterFactory"/>
         <filter class="solr.ElisionFilterFactory"
           articles="stopwordarticles.txt" ignoreCase="true"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`ElisionFilterFactory(Map<String,String> args)` Creates a new ElisionFilterFactory

Method Summary
`ElisionFilter` `create(TokenStream input)` Transform the specified input TokenStream
`AbstractAnalysisFactory` `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElisionFilterFactory

    public ElisionFilterFactory(Map<String,String> args)

  Creates a new ElisionFilterFactory

Method Detail

### inform

    public void inform(ResourceLoader loader)
                throws IOException

  Description copied from interface: `ResourceLoaderAware`
  Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

  Specified by:
    `inform` in interface `ResourceLoaderAware`
  Throws:
    `IOException`

### create

    public ElisionFilter create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

### getMultiTermComponent

    public AbstractAnalysisFactory getMultiTermComponent()

  Description copied from interface: `MultiTermAwareComponent`
  Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.

  Specified by:
    `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.